Package org.apache.catalina.valves.rewrite

## Class RandomizedTextRewriteMap

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RandomizedTextRewriteMap

- All Implemented Interfaces:
    `RewriteMap`

      public class RandomizedTextRewriteMap
      extends Object
      implements RewriteMap

  Implement a map for the txt: and rnd: mod_rewrite capabilities.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static StringManager` | `sm` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RandomizedTextRewriteMap​(String txtFilePath, boolean useRandom)` | Create a map from a text file according to the mod_rewrite syntax.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `lookup​(String key)` | Maps a key to a replacement value. The method is free to return `null` to indicate, that the default value from the `RewriteRule` directive should be used.
    `String` | `setParameters​(String params)` | Optional parameter that can be defined through the `RewriteMap` directive in the `rewrite.config` file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.valves.rewrite.RewriteMap

      `setParameters`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Constructor Detail

    - #### RandomizedTextRewriteMap

          public RandomizedTextRewriteMap​(String txtFilePath,
                                          boolean useRandom)

      Create a map from a text file according to the mod_rewrite syntax.
      Parameters:
        `txtFilePath` - the text file path
        `useRandom` - if the map should produce random results

  - ### Method Detail

    - #### setParameters

          public String setParameters​(String params)

      Description copied from interface: `RewriteMap`
      Optional parameter that can be defined through the `RewriteMap` directive in the `rewrite.config` file.
      Specified by:
        `setParameters` in interface `RewriteMap`
      Parameters:
        `params` - the optional parameter
      Returns:
        value is currently ignored

    - #### lookup

          public String lookup​(String key)

      Description copied from interface: `RewriteMap`
      Maps a key to a replacement value.
      The method is free to return `null` to indicate, that the default value from the `RewriteRule` directive should be used.
      Specified by:
        `lookup` in interface `RewriteMap`
      Parameters:
        `key` - used by the actual implementation to generate a mapped value
      Returns:
        mapped value or `null`